<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JacocoMerge (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JacocoMerge (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoCoverageVerification.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/tasks/JacocoMerge.html" target="_top">Frames</a></li>
<li><a href="JacocoMerge.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.testing.jacoco.tasks</div>
<h2 title="Class JacocoMerge" class="title">Class JacocoMerge</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">org.gradle.testing.jacoco.tasks.JacocoBase</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.testing.jacoco.tasks.JacocoMerge</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">JacocoMerge</span>
extends <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoBase</a></pre>
<div class="block">Task to merge multiple execution data files into one.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#JacocoMerge()">JacocoMerge</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#executionData(java.lang.Object...)">executionData</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;files)</code>
<div class="block">Adds execution data files to be merged.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#executionData(org.gradle.api.Task...)">executionData</a></strong>(<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>...&nbsp;tasks)</code>
<div class="block">Adds execution data generated by a task to the list of those to merge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#executionData(org.gradle.api.tasks.TaskCollection)">executionData</a></strong>(<a href="../../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&nbsp;tasks)</code>
<div class="block">Adds execution data generated by the given tasks to the list of those merged.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.api.internal.project.IsolatedAntBuilder</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#getAntBuilder()">getAntBuilder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#getDestinationFile()">getDestinationFile</a></strong>()</code>
<div class="block">File to write merged execution data to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#getExecutionData()">getExecutionData</a></strong>()</code>
<div class="block">Collection of execution data files to merge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#merge()">merge</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#setDestinationFile(java.io.File)">setDestinationFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationFile)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#setDestinationFile(org.gradle.api.provider.Provider)">setDestinationFile</a></strong>(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;destinationFile)</code>
<div class="block">Set the provider for calculating the destination file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html#setExecutionData(org.gradle.api.file.FileCollection)">setExecutionData</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;executionData)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.testing.jacoco.tasks.JacocoBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.testing.jacoco.tasks.<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoBase</a></h3>
<code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html#getJacocoClasspath()">getJacocoClasspath</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html#setJacocoClasspath(org.gradle.api.file.FileCollection)">setJacocoClasspath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JacocoMerge()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JacocoMerge</h4>
<pre>public&nbsp;JacocoMerge()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExecutionData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutionData</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#RELATIVE">RELATIVE</a>)
<a href="../../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getExecutionData()</pre>
<div class="block">Collection of execution data files to merge.</div>
</li>
</ul>
<a name="setExecutionData(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutionData</h4>
<pre>public&nbsp;void&nbsp;setExecutionData(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;executionData)</pre>
</li>
</ul>
<a name="getDestinationFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationFile()</pre>
<div class="block">File to write merged execution data to.</div>
</li>
</ul>
<a name="setDestinationFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationFile</h4>
<pre>public&nbsp;void&nbsp;setDestinationFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationFile)</pre>
</li>
</ul>
<a name="setDestinationFile(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationFile</h4>
<pre>public&nbsp;void&nbsp;setDestinationFile(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;destinationFile)</pre>
<div class="block">Set the provider for calculating the destination file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>destinationFile</code> - Destination file provider</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="getAntBuilder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAntBuilder</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.project.IsolatedAntBuilder&nbsp;getAntBuilder()</pre>
</li>
</ul>
<a name="merge()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>merge</h4>
<pre>public&nbsp;void&nbsp;merge()</pre>
</li>
</ul>
<a name="executionData(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executionData</h4>
<pre>public&nbsp;void&nbsp;executionData(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;files)</pre>
<div class="block">Adds execution data files to be merged.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>files</code> - one or more files to merge</dd></dl>
</li>
</ul>
<a name="executionData(org.gradle.api.Task...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executionData</h4>
<pre>public&nbsp;void&nbsp;executionData(<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>...&nbsp;tasks)</pre>
<div class="block">Adds execution data generated by a task to the list of those to merge. Only tasks with a <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html" title="class in org.gradle.testing.jacoco.plugins"><code>JacocoTaskExtension</code></a> will be included; all others will be ignored.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - one or more tasks to merge</dd></dl>
</li>
</ul>
<a name="executionData(org.gradle.api.tasks.TaskCollection)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executionData</h4>
<pre>public&nbsp;void&nbsp;executionData(<a href="../../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&nbsp;tasks)</pre>
<div class="block">Adds execution data generated by the given tasks to the list of those merged. Only tasks with a <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html" title="class in org.gradle.testing.jacoco.plugins"><code>JacocoTaskExtension</code></a> will be included; all others will be ignored.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - one or more tasks to merge</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoCoverageVerification.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/tasks/JacocoMerge.html" target="_top">Frames</a></li>
<li><a href="JacocoMerge.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
